[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuActionLink.AssignClient

Stores the specified value as the client for the linked action.

## Declaration

Source position: menus.pp line 70

`protected procedure TMenuActionLink.AssignClient(`
`AClient: TObject`
`); override;`

## Arguments

`AClient` |  | Object instance which is the client for the linked action in the menu.

## Description

Overridden in TMenuActionLink to ensure that the value in AClient is cast to the TMenuItem type used for the internal client.

## See also

TBasicActionLink